Retrieves draft nominations
curl --request GET \
--url https://api.demo.fuelboss.net/v1/nominations/drafts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.demo.fuelboss.net/v1/nominations/drafts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.demo.fuelboss.net/v1/nominations/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"clientReference": "<string>",
"delivery": {
"operationStandardCode": "<string>",
"bunkeringLocationCode": "<string>",
"bunkeringLocationName": "<string>",
"portBunkeringLocationCode": "<string>",
"bunkeringLocationDetails": "<string>",
"deliveryMethod": "vessel",
"transactionType": "transfer",
"transactionDirection": "in",
"berthTime": "2023-11-07T05:31:56Z",
"pilotTime": "2023-11-07T05:31:56Z",
"estimatedTimeOfBunkering": "2023-11-07T05:31:56Z",
"estimatedBunkeringDurationInMinutes": 123,
"supplierAssetBufferTimeInMinutes": 123,
"gasUpRequired": true,
"coolDownRequired": true
},
"supplier": {
"companyIdentifier": "<string>",
"assetIdentifier": {
"vessel": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"terminalName": "<string>"
},
"companyEntityReference": "<string>",
"orderReference": "<string>",
"internalReference": "<string>",
"internalInstructions": "<string>",
"priceType": "floating",
"assetOperatorCompanyIdentifier": "<string>"
},
"receiver": {
"companyIdentifier": "<string>",
"companyName": "<string>",
"orderReference": "<string>",
"vesselIdentifier": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"vesselName": "<string>",
"estimatedTimeOfArrival": "2023-11-07T05:31:56Z",
"estimatedTimeOfDeparture": "2023-11-07T05:31:56Z",
"lastPortCode": "<string>",
"nextPortCode": "<string>",
"nextDestination": "international",
"counterpartEntityReference": "<string>",
"companyEntityReference": "<string>"
},
"fuelSpecifications": [
{
"fuelType": "<string>",
"grade": "rma",
"brand": "<string>",
"quantityRange": {
"minQuantity": 123,
"maxQuantity": 123,
"unit": "metric_tonnes"
},
"certificateOfQuality": {
"identifier": "<string>",
"flashPoint": {
"value": "<string>",
"unit": "celsius"
},
"pourPoint": {
"value": 123,
"unit": "celsius"
},
"viscosity": {
"value": 123,
"unit": "celsius"
},
"sulphurContent": {
"value": "<string>",
"unit": "celsius"
},
"density": {
"value": 123,
"unit": "celsius"
},
"waterContent": {
"value": "<string>",
"unit": "celsius"
}
},
"biofuelProperties": {
"typeOfFeedstock": "<string>",
"blendRatio": 123,
"generationCode": "unknown",
"isccCertified": true,
"isccValue": 123,
"certificateScheme": "<string>"
}
}
],
"stakeholders": [
{
"type": "surveyor",
"companyIdentifier": "<string>",
"userEmail": "<string>"
}
],
"status": "unknown",
"laycanStart": "2023-11-07T05:31:56Z",
"laycanEnd": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"nextCursor": "<string>",
"hasMore": true,
"limit": 123
}
}Nominations
Retrieves draft nominations
Retrieves all draft nominations belonging to your company.
GET
/
v1
/
nominations
/
drafts
Retrieves draft nominations
Authorizations
Access token obtained from the /oauth/token endpoint using your client credentials.
Query Parameters
Opaque pagination cursor returned as pagination.nextCursor by a previous call. Omit to start from the first page.
Maximum number of draft nominations to return per page. Defaults to 50; values are clamped to the range 1–200.
Response
OK
Response returned by Get Draft Nominations.
⌘I